Bug 514728 - failure during cleanup installing bind-libs
failure during cleanup installing bind-libs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 516998
  Show dependency treegraph
 
Reported: 2009-07-30 10:18 EDT by Tom Horsley
Modified: 2013-04-30 19:44 EDT (History)
7 users (show)

See Also:
Fixed In Version: 9.6.1-6.P1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-24 01:14:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Horsley 2009-07-30 10:18:37 EDT
Description of problem

With the new bind-libs update, I just got this gibberish from yum:

  Cleanup        : 32:bind-libs-9.6.1-3.fc11.x86_64                       31/32 
/sbin/ldconfig: relative path `1' used to build cache
Non-fatal POSTUN scriptlet failure in rpm package b
  Cleanup        : gvfs-gphoto2-1.2.3-7.fc11.x86_64                       32/32 
warning: %postun(bind-libs-32:9.6.1-3.fc11.x86_64) scriptlet failed, exit status 1

I don't guess it broke anything since DNS lookups are still working, but
it sure looks funny.

Version-Release number of selected component (if applicable):
bind-libs-9.6.1-3.fc11.x86_64

How reproducible:
Only installed once, don't know if it would happen again or not.

Steps to Reproduce:
1. yum update
2.
3.
  
Actual results:
message above

Expected results:
no funny message

Additional info:
Comment 1 Matt Castelein 2009-07-30 11:37:55 EDT
I saw this too.

  Cleanup        : 32:bind-libs-9.6.1-3.fc11.x86_64                       27/28 
/sbin/ldconfig: relative path `1' used to build cache
Non-fatal POSTUN scriptlet failure in rpm package b
  Cleanup        : gvfs-gphoto2-1.2.3-7.fc11.x86_64                       28/28 
warning: %postun(bind-libs-32:9.6.1-3.fc11.x86_64) scriptlet failed, exit status 1
Comment 3 Michal Nowak 2009-09-09 05:24:41 EDT
  Cleanup        : 32:bind-libs-9.6.1-7.P1.fc12.i686                               127/215 
/sbin/ldconfig: relative path `1' used to build cache
Non-fatal POSTUN scriptlet failure in rpm package bind-libs
1.2.0-2.fc12.i686                                     128/215 
warning: %postun(bind-libs-32:9.6.1-7.P1.fc12.i686) scriptlet failed, exit status 1
Comment 4 Adam Tkac 2009-09-09 06:28:58 EDT
This issue is already fixed in rawhide (bug #520385). This bug is for the same issue in Fedora 11.
Comment 5 Fedora Update System 2009-09-16 07:53:21 EDT
bind-9.6.1-5.P1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/bind-9.6.1-5.P1.fc11
Comment 6 Fedora Update System 2009-09-16 16:34:21 EDT
bind-9.6.1-5.P1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bind'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9677
Comment 7 Michael Schwendt 2009-09-17 04:02:28 EDT
Remains the question whether you like the output of "rpm -q --scripts bind-libs" which includes the comment about the trigger? Creating a separate section for comments above the scripts would be the cleaner solution.
Comment 8 Adam Tkac 2009-09-21 06:31:30 EDT
(In reply to comment #7)
> Remains the question whether you like the output of "rpm -q --scripts
> bind-libs" which includes the comment about the trigger? Creating a separate
> section for comments above the scripts would be the cleaner solution.  

Well, in my opinion main problem is that rpm has no idea about comments in the spec file. I don't think comment in postun trigger is a problem, it will be removed in future. For now I will leave it as is.
Comment 9 Fedora Update System 2009-09-24 01:13:53 EDT
bind-9.6.1-6.P1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Henrique Martins 2009-09-24 08:25:20 EDT
Interesting.  Don't remember seeing this before, and those messages don't seem to be logged to /var/log/yum or /var/log/messages for me to confirm, but I did get that warning this morning when installing bind-libs-9.6.1-6.P1.fc11.i586
Comment 11 Adam Tkac 2009-09-25 07:53:40 EDT
This bug was in postun script which means it is present even when you update to fixed 9.6.1-6.P1.fc11. This bug won't be present when you update from 9.6.1-6.P1.fc11 to newer version.

Note You need to log in before you can comment on or make changes to this bug.